Subject: Re: [EAI] MAIL FROM SMTPUTF8

From: Shawn Steele <[email-masked]>
Date: Wed, 19 Jun 2013 01:40:36 +0000

> it's not clear to me what an SMTP (or submit) server should do if it receives a plain old message with MAIL FROM ... SMTPUTF8,

I don't write mail servers, but I'd probably be liberal and accept it.  Technically that shouldn't happen though, so it'd be fair to spit out an error.

> or an internationalized message without MAIL FROM ... SMTPUTF8. Can any of you advise?

It's probably supposed to be an error, but how would you know?  Many mail apps currently pass through non-ASCII as raw bytes.  You should probably end up in an error state if you detected the condition, but if you "knew" it was UTF-8, then I suppose you could fall back like some apps fall back to other code pages today.

-Shawn